{
  description = "A very basic flake";

  inputs.melt = {
    url = "sourcehut:~remexre/melt.nix";
    inputs.nixpkgs.follows = "nixpkgs";
    inputs.flake-utils.follows = "flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils, melt }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = import nixpkgs {
          inherit system;
          overlays = [ (final: prev: melt.packages.${system}) ];
        };

        flakePkgs = rec {
          ableGo = pkgs.callPackage ./. {
            inherit (melt.legacyPackages.${system}) mkSilverBin;
          };
        };
      in rec {
        defaultPackage = packages.ableGo;

        packages = flake-utils.lib.flattenTree flakePkgs;

        devShell = pkgs.mkShell {
          inputsFrom = with packages; [ ableGo ];
          packages = with pkgs; [ go ];
        };
      });
}
